/*
 *--- PCallback.h ---------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Thu, Oct 12, 1995 @ 9:41 PM by Paul Ferguson.
 *
 * Description:
 *-------------------------------------------------------------------------
 */
#ifndef __PCallback__
#define __PCallback__

#ifdef __MWERKS__
#pragma once
#endif

#include "PMTypes.h"

class PCallback
{

protected:

	PCallback();

	void CallPageMaker();		// issue PageMaker callback
	sPMParamBlockPtr itsPB;

private:
	// This class and its subclasses should never be copied.
	PCallback(PCallback&);
	PCallback& operator=(const PCallback&);
};

#endif

// end of PCallback.h
