/*
 *--- PCallback.cpp -------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Thu, Oct 12, 1995 @ 9:41 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * header file PCallback.h
 *-------------------------------------------------------------------------
 */
#include "PMPlugin.h"

#ifdef MACINTOSH
#include <exception.h>
#else
#include <eh.h>
#endif

#include "PMCQErrs.h"

#include "PCallback.h"


extern sPMParamBlockPtr gPB;


PCallback::PCallback()
{
	itsPB = gPB;		// Make local reference to global param block
}


void PCallback::CallPageMaker() throw (PMErr)
{
	PMErr rc = itsPB->pmCallback(itsPB);
	if (rc != CQ_SUCCESS)
		throw rc;
}

// end of PCallback.cpp
